Module ij
Package ij.plugin

# Class RoiScaler

java.lang.Object
ij.plugin.RoiScaler

All Implemented Interfaces:
  `PlugIn`

public class RoiScaler extends Object implements PlugIn
This plugin implements the Edit/Selection/Scale command.

## Constructor Summary

Constructors
Constructor
Description
`RoiScaler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`static Roi`
`scale(Roi roi, double xscale, double yscale, boolean centered)`
`boolean`
`showDialog()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RoiScaler

public RoiScaler()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### showDialog

public boolean showDialog()

### scale

public static Roi scale(Roi roi, double xscale, double yscale, boolean centered)